%define majver %(echo %version | cut -d. -f1-2)
Name:          python-django
Version:       3.0.2
Release:       1mamba
Summary:       A high-level Python Web framework
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.djangoproject.com/
Source:        https://www.djangoproject.com/m/releases/%{majver}/Django-%{version}.tar.gz
# stub simplejson module that imports the system version
Source1:       simplejson-init.py
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython36-devel
## AUTOBUILDREQ-END
BuildRequires: python-Sphinx
BuildRequires: python-Jinja2
Requires:      python36 >= %python36_version
Requires:      python-simplejson-py36
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Django is a high-level Python Web framework that encourages rapid development and a clean, pragmatic design. It focuses on automating as much as possible and adhering to the DRY (Don't Repeat Yourself) principle.

%package doc
Group:         Documentation
Summary:       Documentation for %{name}

%description doc
Django is a high-level Python Web framework that encourages rapid development and a clean, pragmatic design. It focuses on automating as much as possible and adhering to the DRY (Don't Repeat Yourself) principle.
This package contains documentation for %{name} high-level Python Web framework.

%prep
%setup -q -n Django-%{version}
#cd django/utils/simplejson/
#rm -rf *
#cp -p %{SOURCE1} __init__.py

%build
%{__python36} setup.py build

(
	cd docs
	make html
)

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python36} setup.py install \
   --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python36_sitearch}

mkdir -p %{buildroot}%{_mandir}/man1/
cp -p docs/man/* %{buildroot}%{_mandir}/man1/

mv %{buildroot}%{_bindir}/django-admin.py %{buildroot}%{_bindir}/django-admin

find %{buildroot} -name "*.po" | xargs rm -f

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{python36_sitearch}/Django-%{version}-py%{python36_version}.egg-info
%{_bindir}/django-admin
%dir %{python36_sitearch}/django
%{python36_sitearch}/django/*.py*
%{python36_sitearch}/django/apps
%{python36_sitearch}/django/bin
%{python36_sitearch}/django/conf
%{python36_sitearch}/django/contrib
%{python36_sitearch}/django/core
%{python36_sitearch}/django/db
%{python36_sitearch}/django/dispatch
%{python36_sitearch}/django/forms
%{python36_sitearch}/django/http
%{python36_sitearch}/django/middleware
#%{python36_sitearch}/django/shortcuts
%{python36_sitearch}/django/template
%{python36_sitearch}/django/templatetags
%{python36_sitearch}/django/test
%{python36_sitearch}/django/urls
%{python36_sitearch}/django/utils
%{python36_sitearch}/django/views
%dir %{python36_sitearch}/django/__pycache__
%{python36_sitearch}/django/__pycache__/*
#%{_mandir}/man1/daily_cleanup.1*
%{_mandir}/man1/django-admin.1*
#%{_mandir}/man1/gather_profile_stats.1*
%doc AUTHORS LICENSE

%files doc
%defattr(-,root,root)
%doc docs/_build/html/*

%changelog
* Fri Jan 10 2020 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 2.2.9-1mamba
- automatic version update by autodist

* Wed Oct 02 2019 Automatic Build System <autodist@mambasoft.it> 2.2.6-1mamba
- automatic version update by autodist

* Wed Sep 11 2019 Automatic Build System <autodist@mambasoft.it> 2.2.5-1mamba
- automatic version update by autodist

* Mon Aug 05 2019 Automatic Build System <autodist@mambasoft.it> 2.2.4-1mamba
- automatic version update by autodist

* Sun Jul 07 2019 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Sat Jun 08 2019 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Wed Nov 16 2016 Automatic Build System <autodist@mambasoft.it> 1.10.3-1mamba
- automatic version update by autodist

* Mon Oct 24 2016 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Sun Aug 14 2016 Automatic Build System <autodist@mambasoft.it> 1.9.9-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 1.9.8-1mamba
- automatic version update by autodist

* Mon Jul 11 2016 Automatic Build System <autodist@mambasoft.it> 1.9.7-1mamba
- automatic version update by autodist

* Sun May 15 2016 Automatic Build System <autodist@mambasoft.it> 1.9.6-1mamba
- automatic version update by autodist

* Tue Apr 05 2016 Automatic Build System <autodist@mambasoft.it> 1.9.5-1mamba
- automatic version update by autodist

* Fri Mar 11 2016 Automatic Build System <autodist@mambasoft.it> 1.9.4-1mamba
- automatic version update by autodist

* Tue Feb 02 2016 Automatic Build System <autodist@mambasoft.it> 1.9.2-2mamba
- automatic version update by autodist

* Tue Feb 02 2016 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic version update by autodist

* Mon Jan 04 2016 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Mon Nov 30 2015 Automatic Build System <autodist@mambasoft.it> 1.8.7-1mamba
- automatic version update by autodist

* Sun Nov 08 2015 Automatic Build System <autodist@mambasoft.it> 1.8.6-1mamba
- automatic version update by autodist

* Mon Oct 12 2015 Automatic Build System <autodist@mambasoft.it> 1.8.5-1mamba
- automatic version update by autodist

* Fri Aug 21 2015 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Sun May 24 2015 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Sat May 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-2mamba
- rebuilt with python3

* Thu May 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- update to 1.8.1

* Mon Aug 11 2014 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic version update by autodist

* Sat Aug 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.8-1mamba
- update to 1.5.8

* Sun Jan 31 2010 gil <puntogil@libero.it> 1.1.1-1mamba
- package created by autospec
